## stretchplayer 0.503

=== CMakeLists.txt ===
###
### Top directory for StretchPlayer
###

CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")

SET(VERSION_MAJOR "0")
SET(VERSION_MINOR "503")
SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}")

OPTION(ENABLE_COMPOSITING
  "Enable X11 window compositing, if system supports it."
  ON
  )

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(art)

IF(ENABLE_COMPOSITING)
  SET(USE_COMPOSITING true)
ELSE(ENABLE_COMPOSITING)
  SET(USE_COMPOSITING false)
ENDIF(ENABLE_COMPOSITING)

CONFIGURE_FILE(config.h.in config.h)

CONFIGURE_FILE(stretchplayer.desktop.in stretchplayer.desktop)

ADD_CUSTOM_TARGET(dist
  git archive --format=tar --prefix=stretchplayer-${VERSION}/ HEAD
     | gzip -9
     > ${CMAKE_BINARY_DIR}/stretchplayer_${VERSION}.orig.tar.gz
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  COMMENT "Making stretchplayer_${VERSION}.orig.tar.gz"
  )

INSTALL(
  FILES ${CMAKE_BINARY_DIR}/stretchplayer.desktop
  DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications"
  )
INSTALL(
  FILES ${CMAKE_BINARY_DIR}/stretchplayer.desktop
  DESTINATION "${CMAKE_INSTALL_PREFIX}/share/stretchplayer/"
  )

=== art/CMakeLists.txt ===
######################################################################
### StretchPlayer Build Script (CMake)                             ###
######################################################################

CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

######################################################################
### INSTALL MISC ART                                               ###
######################################################################

INSTALL(
  FILES stretchplayer-icon-48x48.png
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons
  RENAME stretchplayer.png
  )
INSTALL(
  FILES stretchplayer-icon-48x48.png
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps
  RENAME stretchplayer.png
  )
INSTALL(
  FILES
  stretchplayer-icon.svg
  stretchplayer-icon-16x16.png
  stretchplayer-icon-22x22.png
  stretchplayer-icon-24x24.png
  stretchplayer-icon-32x32.png
  stretchplayer-icon-48x48.png
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/stretchplayer/icons/
  )

=== src/CMakeLists.txt ===
######################################################################
### StretchPlayer Build Script (CMake)                             ###
######################################################################

CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

######################################################################
### REQUIRED LIBRARIES                                             ###
######################################################################

###
### Qt 4 http://qt.nokia.com/
###

FIND_PACKAGE(Qt4 4.5.0 REQUIRED)
INCLUDE(${QT_USE_FILE})
SET(LIBS ${QT_LIBRARIES})

FIND_PACKAGE(JACK REQUIRED)
INCLUDE(${JACK_INCLUDE_DIRS})
SET(LIBS ${LIBS} ${JACK_LIBRARIES})

FIND_PACKAGE(LibSndfile REQUIRED)
INCLUDE(${LibSndfile_INCLUDE_DIRS})
SET(LIBS ${LIBS} ${LibSndfile_LIBRARIES})

### Don't have a module for rubberband, yet.
FIND_PACKAGE(RubberBand REQUIRED)
INCLUDE(${RubberBand_INCLUDE_DIRS})
SET(LIBS ${LIBS} ${RubberBand_LIBRARIES})

######################################################################
### LIBRARY SOURCES AND BUILD                                      ###
######################################################################

LIST(APPEND sp_cpp
  main.cpp
  PlayerWidget.cpp
  Engine.cpp
  StatusWidget.cpp
  PlayerSizes.cpp
  ThinSlider.cpp
  Marquee.cpp
  JackAudioSystem.cpp
  )

LIST(APPEND sp_hpp
  PlayerWidget.hpp
  Engine.hpp
  StatusWidget.hpp
  PlayerSizes.hpp
  ThinSlider.hpp
  Marquee.hpp
  AudioSystem.hpp
  JackAudioSystem.hpp
  )

LIST(APPEND sp_moc_hpp
  PlayerWidget.hpp
  StatusWidget.hpp
  Marquee.hpp
  )

QT4_WRAP_CPP(sp_moc ${sp_moc_hpp}) 
QT4_ADD_RESOURCES(sp_qrc stretchplayer.qrc)

INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  )

ADD_EXECUTABLE(stretchplayer
  ${sp_cpp}
  ${sp_hpp}
  ${sp_moc}
  ${sp_qrc}
  )

TARGET_LINK_LIBRARIES(stretchplayer
    ${LIBS}
    )

INSTALL(TARGETS stretchplayer RUNTIME DESTINATION bin)

######################################################################
### CONFIGURATION SUMMARY                                          ###
######################################################################

MESSAGE("\n"
"Configuration Summary for StretchPlayer\n"
"---------------------------------------\n"
)

MACRO(lib_report name)
  IF(${name}_FOUND)
    message("ENABLED..... ${name}")
  ELSE(${name}_FOUND)
    message("disabled.... ${name}")
  ENDIF(${name}_FOUND)
ENDMACRO(lib_report)

lib_report(QT4)
lib_report(JACK)
lib_report(LibSndfile)
lib_report(RubberBand)

=== debian/changelog ===
stretchplayer (0.503-5) unstable; urgency=medium

  * Team Upload
  * Switch from CDBS to DebHelper 13

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * New patch: add French comment to the menu item
  * Update series (add 2001-desktop-file_l10n-FR.patch)
  * Update copyright (http -> https)
  * Update control (http -> https)
  * Update copyright (add myself)
  * Update watch (http -> https)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 01 Aug 2025 22:16:08 +0200

stretchplayer (0.503-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Reiner Herrmann ]
  * Port to Qt5 (Closes: #875195)

  [ Moritz Mühlenhoff ]
  * Debhelper 10, standards version 4.4.0

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 23 Sep 2019 22:58:56 +0200

stretchplayer (0.503-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/cmake-include-dirs.patch: Correctly set include
    directories. (Closes: #745224)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Jun 2015 21:41:55 +0200

stretchplayer (0.503-2) unstable; urgency=low

  * Team upload.
  * debian/control:
    - One-dep-per-line.
    - Sort build-dependencies.
    - Fix small misspelling.
    - Bump Standards.
    - Depends on jackd (Closes: #624286).
    - Remove shlibs:Depends macro from stretchplayer-dbg's Depends field.
  * debian/copyright
    - Update to DEP-5 rev.174.
    - Fix indentation.

 -- Alessio Treglia <alessio@debian.org>  Wed, 27 Apr 2011 19:25:40 +0200

stretchplayer (0.503-1) unstable; urgency=low

  * Initial upload (Closes: #605256).

 -- Arnout Engelen <arnouten@bzzt.net>  Sun, 28 Nov 2010 19:11:57 +0100

=== debian/control ===
Source: stretchplayer
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Arnout Engelen <arnouten@bzzt.net>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libjack-dev,
 librubberband-dev,
 libsndfile1-dev,
 scour,
 qtbase5-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/multimedia-team/stretchplayer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/stretchplayer
Homepage: https://www.teuton.org/~gabriel/stretchplayer/

Package: stretchplayer
Architecture: any
Depends: ${shlibs:Depends},
 jackd,
 ${misc:Depends}
Description: Audio file player with time stretch and pitch shifting
 StretchPlayer will play back an audio file and allow you to
 time stretch (without affecting pitch) and/or pitch shift (without
 affecting the time) the audio, even while you are listening to it.
 .
 Warning: this package contains the development version (potentially
 unstable) released for testing purpose only.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5
export DESTDIR=$(CURDIR)/debian/stretchplayer

%:
	dh $@ --buildsystem=cmake

=== debian/watch ===
version=3
https://www.teuton.org/~gabriel/stretchplayer/ \
	stretchplayer_(.*)\.orig\.tar\.gz
